Skip to main content
`Ctrl`+`K`

# DMSetSection

Set the `PetscSection` encoding the local data layout for the `DM`. This is equivalent to `DMSetLocalSection()`. Deprecated in v3.12

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetSection(DM dm, PetscSection section)

## Input Parameters

- dm - The `DM`

- section - The `PetscSection`

## Notes

Use `DMSetLocalSection()` in new code.

Any existing `PetscSection` will be destroyed

## See Also

DM Basics, `DM`, `DMSetLocalSection()`, `DMGetLocalSection()`, `DMSetGlobalSection()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages